oup=random_retrospective.txt
if [ -e $oup ] ; then
  rm $oup
fi
k=0
r11=0  # 50 km
r12=0  # 100 km
r13=0  # 330 km
r14=0  # 1000 km
r21=0  # 50 km
r22=0  # 100 km
r23=0  # 330 km
r24=0  # 1000 km
for i in `seq 2 24`
do
    for seq in `seq 1 1000`
    do
        iseq=`echo $seq | awk '{printf("%04d",$1)}'`
        inp1=${iseq}_r_10

        r11=`awk -v i=$i -v s=$r11 'NR==i {print s+$3/$2}' $inp1`
        r12=`awk -v i=$i -v s=$r12 'NR==i {print s+$4/$2}' $inp1`
        r13=`awk -v i=$i -v s=$r13 'NR==i {print s+$5/$2}' $inp1`
        r14=`awk -v i=$i -v s=$r14 'NR==i {print s+$6/$2}' $inp1`

        inp2=${iseq}_r_21
        r21=`awk -v i=$i -v s=$r21 'NR==i {print s+$3/$2}' $inp2`
        r22=`awk -v i=$i -v s=$r22 'NR==i {print s+$4/$2}' $inp2`
        r23=`awk -v i=$i -v s=$r23 'NR==i {print s+$5/$2}' $inp2`
        r24=`awk -v i=$i -v s=$r24 'NR==i {print s+$6/$2}' $inp2`
        let k++
     done
     mag=`awk -v i=$i 'NR==i {print $1}' $inp1`
     ar11=`echo $r11 $k | awk '{print $1/$2}'`
     ar12=`echo $r12 $k | awk '{print $1/$2}'`
     ar13=`echo $r13 $k | awk '{print $1/$2}'`
     ar14=`echo $r14 $k | awk '{print $1/$2}'`
     ar21=`echo $r21 $k | awk '{print $1/$2}'`
     ar22=`echo $r22 $k | awk '{print $1/$2}'`
     ar23=`echo $r23 $k | awk '{print $1/$2}'`
     ar24=`echo $r24 $k | awk '{print $1/$2}'`
     echo $i $mag  $ar11 $ar12 $ar13 $ar14 $ar31 $ar22 $ar23 $ar24
done

sr11=0  # 50 km
sr12=0  # 100 km
sr13=0  # 330 km
sr14=0  # 1000 km
sr21=0  # 50 km
sr22=0  # 100 km
sr23=0  # 330 km
sr24=0  # 1000 km
for i in `seq 2 24`
do
    for seq in `seq 1 1000`
    do
        iseq=`echo $seq | awk '{printf("%04d",$1)}'`
        inp1=${iseq}_r_10

        sr11=`awk -v i=$i -v s=$sr11 -v t=$ar11 'NR==i {print s+($3/$2-t)**2}' $inp1`
        sr12=`awk -v i=$i -v s=$sr12 -v t=$ar12 'NR==i {print s+($4/$2-t)**2}' $inp1`
        sr13=`awk -v i=$i -v s=$sr13 -v t=$ar13 'NR==i {print s+($5/$2-t)**2}' $inp1`
        sr14=`awk -v i=$i -v s=$sr14 -v t=$ar14 'NR==i {print s+($6/$2-t)**2}' $inp1`

        inp2=${iseq}_r_21
        sr21=`awk -v i=$i -v s=$sr21 -v t=$ar21 'NR==i {print s+($3/$2-t)**2}' $inp2`
        sr22=`awk -v i=$i -v s=$sr22 -v t=$ar22 'NR==i {print s+($4/$2-t)**2}' $inp2`
        sr23=`awk -v i=$i -v s=$sr23 -v t=$ar23 'NR==i {print s+($5/$2-t)**2}' $inp2`
        sr24=`awk -v i=$i -v s=$sr24 -v t=$ar24 'NR==i {print s+($6/$2-t)**2}' $inp2`
        let k++
     done
     mag=`awk -v i=$i 'NR==i {print $1}' $inp1`
     asr11=`echo $sr11 $k | awk '{print sqrt($1/($2-1))}'`
     asr12=`echo $sr12 $k | awk '{print sqrt($1/($2-1))}'`
     asr13=`echo $sr13 $k | awk '{print sqrt($1/($2-1))}'`
     asr14=`echo $sr14 $k | awk '{print sqrt($1/($2-1))}'`
     asr21=`echo $sr21 $k | awk '{print sqrt($1/($2-1))}'`
     asr22=`echo $sr22 $k | awk '{print sqrt($1/($2-1))}'`
     asr23=`echo $sr23 $k | awk '{print sqrt($1/($2-1))}'`
     asr24=`echo $sr24 $k | awk '{print sqrt($1/($2-1))}'`
     echo $i $mag  $asr11 $asr12 $asr13 $asr14 $asr21 $asr22 $asr23 $asr24
     echo $i $mag  $ar11 $asr11 $ar12 $asr12 $ar13 $asr13 $ar14 $asr14 $ar21 $asr21 $ar22 $asr22 $ar23 $asr23 $ar24 $asr24 >> $oup
     
done

cp $oup ../
