  program search_aftershocks
  parameter (nn=101000,pi=3.141592653,RR=6371.0)

  character*50 tim(nn),inpfile,oupfile
  real(kind=4):: lat(nn),lon(nn), dep(nn),mag(nn)
  real(kind=8):: dat(nn)
 
  dtr=pi/180.0
  read(*,*) inpfile, nevt
  read(*,*) clat, clon, cdep, dist0
  open(5,file=inpfile)
  open(75,file='seq_sel')
  x1=clat*dtr
  y1=clon*dtr
  do i=1,nevt
     read(5,*) tim(i),lat(i),lon(i),dep(i),mag(i),dat(i)
     x2=lat(i)*dtr
     y2=lon(i)*dtr
     if(x1.eq.x2.and.y1.eq.y2.and.cdep.eq.dep(i)) then
             dist=0.0
     else
     dist=sqrt((acos(sin(x1)*sin(x2)+cos(x1)*cos(x2)*cos(y1-y2))*RR)**2+(cdep-dep(i))**2)
     endif
     if(dist.le.dist0) then
        write(75,'(A24,2f10.3,2f7.1,f16.8,f8.3)') tim(i),lat(i),lon(i),dep(i),mag(i),dat(i),dist
     endif
  enddo
  
  close(75)
  end
