# minimal magntiude for the foreshock
mag1=6.0

# minimal magntiude for the mainshock
mag2=6.0

fold=Search_M${mag1}_M${mag2}
if [ -e $fold ] ; then 
   rm -rf $fold
   rm -rf M${mag1}_M${mag2}* 
fi
mkdir $fold

inp=M${mag1}_all
#awk -v m=$mag1 '$5>=m {print $0}' ./inp_files/M6.0_all_time_name > $inp
awk -v m=$mag1 '$5>=m {print $0}' ./inp_files/M6.0_all_time_name | awk '{printf("%23s  %8.3f  %8.3f  %6.1f  %4.1f  %13.8f  %20s\n",$1,$2,$3,$4,$5,$6,$7)}' > $inp
nevt=`wc $inp | awk '{print $1}'`

for dist in 50 100 330 1000  
do
    dist10=`echo $dist | awk '{printf("%04d",$1)}'`
    fold1=M${mag1}_M${mag2}_D${dist10}km
    mkdir $fold1 
    cd $fold1 
    cp ../inp_files/plot_pairs.sh ../inp_files/plot_bins.sh ../inp_files/titlep ../inp_files/bin_mag .

for dat0 in 10 21
do
    oup=M${mag1}_M${mag2}_D${dist10}km_T${dat0}_pairs
    cp ../$inp .
../inp_files/search_pairs_seq << EOD
$dist $dat0 $mag1 $mag2
$inp $oup ${oup}_add
$nevt
EOD
    mv Aftershocks ../Afs/Aftershocks_M${mag1}_M${mag2}_D${dist10}km_T${dat0}
    sort -n -rk 1 $oup -o $oup
    cp titlep xx
    tr 'T' '\ \ ' < $oup >> xx
    mv xx ${oup}.txt
    echo ${oup}.txt
###
    sort -n -rk 1 ${oup}_add -o ${oup}_add
    cp titlep xx
    tr 'T' '\ \ ' < ${oup}_add >> xx
    mv xx ${oup}_add.txt
    sh plot_pairs.sh $mag1 $mag2 $dist $dat0 ${oup}.txt
    ndd=`echo $dist | awk '{print int($1/10)}' | awk '{if($1<=20) print 20; else print $1}'`
    sh plot_bins.sh $mag1 $mag2 $dist $dat0 $ndd
    rm *.ps $oup ${oup}_add *.grd *.norm tmp
done

    cp M${mag1}_M${mag2}_*.pdf M${mag1}_M${mag2}_*.txt M${mag1}_M${mag2}_*stat ../${fold}
    cd ..
done
cd inp_files
cp plot_fig1.sh plot_fig2.sh ../$fold
cd ../$fold
sh plot_fig1.sh
sh plot_fig2.sh
cp *prospective* *retrospective* ../

